
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>awk 中的定义变量问题 / iVAN</title>

    <meta name="description" content="awk 中的定义变量问题 问题描述 awk 中的定义变量问题 我觉得这个问题还真是有趣的让我头疼啊... 我在begin 中定义一了个变量 name=&quot;li&quot;; 然后在之后 的{}中调用 ,我用了一个正则匹配,{if($1~/^'&quot;$(name)&quot;'/) {print name;}} 正常运行 ,改成print &quot; &quot;,也正常运行,但是如果改成 count++; 就会提示我 name:not found. 晕死了,求救啊 解决方案 你在awk里面定义了变量nam ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">awk 中的定义变量问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>awk 中的定义变量问题
        </dt>
<dd>
          <br />我觉得这个问题还真是有趣的让我头疼啊。。。</p>
<p>我在begin 中定义一了个变量 name="li";<br />
然后在之后 的{}中调用 ，我用了一个正则匹配，{if($1~/^&#039;"$(name)"&#039;/) {print name;}}<br />
正常运行 ，改成print “ ”，也正常运行，但是如果改成 count++; <br />
就会提示我 name:not found.<br />
晕死了，求救啊</p>
</dd>
</dl>
<h1>解决方案</h1>
<ol>
<li>你在awk里面定义了变量name，使用时直接用name就可以了；</li>
<li>count也需要在begin当中先定义并附上初值；</li>
<li>根据你的命令，你的需求应该是统计一下包含name内容的行数？ 是么？<br />
awk &#039;BEGIN{name="a"; count=0}{if($1 ~ name){count++}}END{print count}&#039; $stdoutdir</li>
</ol>
<p>解决方案二：<br />
    <br />你先定义count=0，然后再主体中使用</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:00:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/awk/" title="awk">awk</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>awk 中的定义变量问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N1LPz.html" rel="bookmark">跪求大神-java中static定义变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中static定义变量 运行结果为什么是0不是1? 解决方案 因为你定义了参数x 根据就近原则,你的x++访问的是这个参数x变量,而不是成员变量x 解决方案二: 因为你的参数名也叫x,x++ 这里是将参数x自增,不是全局变量x. 所以全局变量x里面的值还是0. 解决方案三: class Test { public static int x = 9; public static void name(int x) { x ++; System.out.println(x); //为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M06gv6z.html" rel="bookmark">php中各种定义变量的方法小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.定义常量define(&quot;CONSTANT&quot;, &quot;Hello world.&quot;); 常量只能包含标量数据(boolean,integer,float 和 string). 调用常量时,只需要简单的用名称取得常量的值,而不能加&quot;$&quot;符号,如:echo CONSTANT: 注: 常量和(全局)变量在不同的名字空间中.这意味着例如 TRUE 和 $TRUE 是不同的. 2.普通变量$a = &quot;hello&quot;; 3.可变变量(使用两个美			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkA4nwb.html" rel="bookmark">编程c语言-for的外面为什么不能定义变量？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 for的外面为什么不能定义变量? 搞不懂定义结构体变量时要在for里面定义,或者在main函数的开始时定义,不能在for的外面定义,否则不能通过编译,这是为什么? 解决方案 因为,变量声明必须在函数或块的顶部,在执行了print后,c语言就不许可声明变量了 解决方案二: 看下你的错误信息,按理说放外面放里面都可以. 解决方案三: while条件中不能定义变量 java书写规范问题,for.while.do while{}后面不能直接定义变量或生成对象(在没有大括号的情况下)(C++Pr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMN7XJp.html" rel="bookmark">vs2013-VS2013 使用了extern定义变量，不能再另一个cpp中调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 VS2013 使用了extern定义变量,不能再另一个cpp中调用 VS2013 在一个cpp内定义了 extern int sc = 0; 在另一个cpp中调用的时候 显示&quot;未定义标识符&quot; 如何解决?谢谢 解决方案 在文件1中定义全局变量: int sc = 0; 文件2中先声明再使用 extern int sc; //声明是外部全局变量 解决方案二: 写个类似全局类型的变量 或写一个类中,引用这个类 解决方案三: extern 时不能赋初值吧. 在一个 CPP 中定义一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yeJQz.html" rel="bookmark">asp&period;net中eval不能定义变量的问题的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 eval不能定义变量的问题该怎么办,下面有个不错的解决方法,大家可以参考下 代码如下: eval.asp  &lt;%@ LANGUAGE='JAVASCRIPT'%&gt;  &lt;script Language=&quot;javascript&quot; runat=server&gt;  eval(&quot;var f1=1,f2=2,f3=3;&quot;);  Response.Write(f1+&quot;&lt;br/&gt;&quot;);  Response.Write(f2+&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yKKqz.html" rel="bookmark">如何在smarty模板中定义变量与常量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  定义常量非常的简单 方法是:  代码如下   {$smarty.const.你定义的常量名} 定义变量如何做呢? smarty中定义变量 . {*下面的这一段相当于在模板内部定义一个变量UserName*}  代码如下   {assign var=&quot;UserName&quot; value=&quot;myz&quot;} 这里将显示模板内部定义的一个变量:UserName = {$UserName} 例子  代码如下   &lt;*assign var=&quot;i&quot; valu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP876lp.html" rel="bookmark">指针-如何定义图中的这个变量？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何定义图中的这个变量? p++ 可以移动到下一个字符串. 105 解决方案 可以使用指针数组(指针数组中的每一个元素均为指针) #include&lt;stdio.h&gt; void main() { char *arr[3] = {&quot;abcde&quot;, &quot;1234&quot;, &quot;42&quot;}; char **p = &amp;arr[0]; for(int i = 0; i &lt; 3; i++, p++) printf(&quot;%s &q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32ZZ0z.html" rel="bookmark">Java中接口定义成员变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在interface里面的变量都是public static final的.可以这样写:public static final int i=10或者int i=10. public interface MyInterface {  // 默认为public static int a = 10;  int a = 10; } public class MyTest {  public static void main(String[] args)  {   int a = MyInterface.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWyN0p.html" rel="bookmark">link中let语句用lamda表达式怎么写？let语句是定义变量么？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 link中let语句用lamda表达式怎么写?let语句是定义变量么? link中let语句用lamda表达式怎么写?let语句是定义变量么? 解决方案 http://ask.csdn.net/questions/177501 解决方案二: http://www.cnblogs.com/piaopiao7891/p/3472410.html 解决方案三: 用lambda就是select,代码写给你看了.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0OKjb.html" rel="bookmark" class="title">偷也是门技术&mdash;&mdash;浅谈XMLHTTP应用：新闻小偷&lbrack;转&rsqb;</a>
					<div>
						xml 本文参考互联网整理而成(在此感谢资料奉献者).希望本文尽量系统,尽量易懂. 偷,即无劳而获.在网络上,诸如某大型权威站点发布了新闻,而自己的小小站点也想与时俱进,和人家一样同步更新,多N啊.于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Emxz.html" rel="bookmark" class="title">Photoshop制作漂亮的2015手写光效字</a>
					<div>
						光效字制作并不难,只是过程有点繁琐,过程:用钢笔分步勾出不同的路径,并用设置好的画笔描边得到想要的颗粒和光束:然后用图层样式增加发光效果即可. 最终效果 1.新建一个1000 * 550像素,分辨率为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQVBQM.html" rel="bookmark" class="title">Photoshop CS轻松匹配颜色</a>
					<div>
						Photoshop CS新的匹配颜色命令能够使一幅图像的色调式与另一幅图像的色调自动匹配,这样就可以使不同图片拼合时达到色调统一,或者对照其他图像的色调修改自己的图像色调. 下面我用实例的方法给大家讲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPjqrb.html" rel="bookmark" class="title">Fireworks 创建残破纹理特效文字</a>
					<div>
						创建|特效 前面我们介绍了Fireworks 创建残破纹理背景,其实文字也可以做类似的残缺特效处理,下面我们看看具体步骤. 我们在Fireworks新建一个文件,打字,字号选大些,做成后的效果才会更明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4EWjb.html" rel="bookmark" class="title">走近VB&period;Net（七）在窗体上画图</a>
					<div>
						走近VB.Net(七)在窗体上画图 如果看过一些文章一定知道在窗体上画图要使用system.drawing类,在VB.Net中没有line与label控件,需要自已写一些代码, 首先写一个事件过程on ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4x3Ap.html" rel="bookmark" class="title">Linux下grep命令使用方法</a>
					<div>
						1. Grep简介 Grep (global search regular expression(RE) and print out the line,全面搜索正则表达式并把行打印出来)是一种强大的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RPXxp.html" rel="bookmark" class="title">数学表达式的计算-如何捕捉异常</a>
					<div>
						在写程序的过程中,难免会出现各种各样的情况,有的情况也许不是我们想要的.有的人也许会用很多判断要严格控制程序,使其不会出现异常情况,但这样做可能会增加写程序的难度.其实我们还可以用一种更加简便的方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl08Lz.html" rel="bookmark" class="title">Firefox启动太慢怎么办</a>
					<div>
						由于Firefox的界面是采用XUL语言描绘的.XUL的好处在于良好的跨平台兼容性,这样使Firefox可以很好的用于 Windows/Mac/Linux 下.但不好之处就在于XUL并不能算高效语言, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8OL2b.html" rel="bookmark" class="title">交互设计应先选择对的颜色，而不是喜欢的颜色</a>
					<div>
						  中国有一句成语叫做「白纸黑字」,白纸上写了黑字,阅读起来是再清楚也不过了.形容了明确的文字凭据,不容许抵赖或悔改.一直到现在,白纸依然是我 们最常用到的纸张类型,书写的工具跟色彩也越来越多样,但我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkmVOb.html" rel="bookmark" class="title">百度超级相机sdk功能介绍</a>
					<div>
						百度超级相机sdk是一个顶尖的图像开放处理平台,用户突破一亿六千万,遍布全球218个国家;那么百度超级相机功能有哪些呢?我们一起来了解一下百度超级相机 功能. 1.创新的拍摄操控方式,独具一格 提供独 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNLDZM.html" rel="bookmark" class="title">如何把MTS格式转换成DVD视频文件</a>
					<div>
						旅行途中拍摄了大量高清视频都是用MTS格式文件保存的,由于MTS视频格式适合用于摄像机存储高清视频画质,但这种格式并不通用,给后期处理和视频保存都带来了麻烦.一般来说,MTS格式文件保存的高清视频体积 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3oK3M.html" rel="bookmark" class="title">win7电脑重装系统之后提示找不到宽带连接怎么办</a>
					<div>
						  win7电脑重装系统之后提示找不到宽带连接怎么办今天,小编就来具体的介绍一下这个问题吧! 原因分析,引起win7 32位旗舰版下载找不到宽带连接故障的原因主要有三个,一是拨号宽带连接没有创建好,二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1q6Pb.html" rel="bookmark" class="title">如何让win7电脑关机时自动删除桌面文件夹</a>
					<div>
						  1.首先在桌面空白处右击鼠标选择&quot;新建--文本文档&quot;,然后输入&quot;del 文件夹路径 /q&quot;(相对路径); 2.然后将文件另存为&quot;清除文件夹lhj. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o7yBb.html" rel="bookmark" class="title">保护孩子视力，帮你删除XP系统自带游戏</a>
					<div>
						我们都知道在电脑系统的附件中,有系统自带的&quot;游戏组件&quot;,很多xp系统用户都想把&quot;附件&quot;中的游戏组件删除掉,尤其是那些家中有小孩的用户,他们买电脑是为了让家中的孩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJlwkp.html" rel="bookmark" class="title">二分查找的递归和非递归</a>
					<div>
						查找算法 常见的查找算法大概有顺序查找.二分查找.二叉排序树查找.哈希表法(散列表).分块查找等, 下面简单了解一下其他几种查找算法. 1.顺序查找 也就是暴力方法,按顺序比较每个元素,直到找到关键字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3a1BM.html" rel="bookmark" class="title">&period;net system&period;data&period;oracleclient 执行存储过程出现output值被截断</a>
					<div>
						问题描述 使用system.data.oracleclient开发项目遇到奇怪问题oracle版本11g,测试代码如下:存储过程如下:页面输出确只有:12123很奇怪的问题,在网上看system.da ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAgnKM.html" rel="bookmark" class="title">【工程师笔记】第六期：一项Xeon E5-2600 v4测试数据的背后</a>
					<div>
						做技术的朋友可能有过类似这样的感觉--每天都会遇到新的问题,或者学到新的知识.然而一个人的时间和精力毕竟有限,不是所有的岗位都能做到总是亲力亲为,每人最擅长的领域也各不相同.为了使工程师自己踩过的坑. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPxrlp.html" rel="bookmark" class="title">什么&OpenCurlyDoubleQuote;物&rdquo;联什么&OpenCurlyDoubleQuote;网&rdquo;？&mdash; 今日与明日</a>
					<div>
						接上文:什么&quot;物&quot;联什么&quot;网&quot;? -从网际网络发展谈起 物联网绝对是近年来最热门的名词之一,但大家常常只知其名,对于它究竟是什么东西则一点概念都没有,而且常常跟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkm3Vb.html" rel="bookmark" class="title">新手，问一个略显小白的问题</a>
					<div>
						问题描述 新手,问一个略显小白的问题 怎样对一个已经编写好的程序进行二次编写?若已知该程序是有什么编写的,如何进行编写,若未知呢? 解决方案 二次编写就是根据你的需要再次修改编写的代码,比如添加某功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAmAGM.html" rel="bookmark" class="title">在一个表单中有一个textbot控件，在报表的load事件中如何使用其值</a>
					<div>
						问题描述 在一个表单中有一个textbot控件,在报表的load事件中如何使用其值.stringsql=&quot;selectxmfromt_jp_jsrywherexm='&quot;+this. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y0raM.html" rel="bookmark" class="title">集成IBM Rational CLM设置一种复杂的拓扑结构</a>
					<div>
						文中介绍的拓扑结构与 jazz.net 上记录的 CLM 标准拓扑结构相一致,描述了 Rational Lifecycle Integration Adapters 1.1.1 开发过程中使用的环境. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq50xb.html" rel="bookmark" class="title">云经纪人让云服务更简洁</a>
					<div>
						在过去20年里,操作所需的时间一直在缩小.80年代我们需要花2-3个月才能建起一条新的电话线.而如今,如刚刚在商场买好手机就可以打通电话了.在这个迅捷的世界里,我们期待一切都是当下发生的. 对企业来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRKyBb.html" rel="bookmark" class="title">bilibili高并发实时弹幕系统的实战之路</a>
					<div>
						随着直播的发展,直播弹幕也逐渐火爆起来.高并发实时弹幕是一种互动的体验.在架构设计上,高稳定.高可用.低延迟是一款直播弹幕系统必备的三要素.   高稳定性,为了保证互动的实时性,所以要求连接状态稳定. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB12vdz.html" rel="bookmark" class="title">cocos2d x-cocos2dx客户端集成zeromq</a>
					<div>
						问题描述 cocos2dx客户端集成zeromq 1C 请问zeromq跨平台吗?可以集成到cocos2dx中吗?怎么集成呢?求大神指教 解决方案 本身跨平台,支持C,然后就集成进去cocos2dx  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRB3Xb.html" rel="bookmark" class="title">android&period;database&period;Cursor错误！</a>
					<div>
						问题描述 android.database.Cursor错误! public class DLXMainActivity extends AppCompatActivity { DatabaseHel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRmQwb.html" rel="bookmark" class="title">Snapchat 的七年成长史及其年轻世代的蜕变</a>
					<div>
						钛媒体注:自本月初上市以来,社交新贵Snap被讨论最多的就是其股价,它既有可能像Facebook那样有着广阔的上限,同时也可能像Twitter那样一蹶不振.无论怎样都不可否认,Snapchat 的成长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZX6rp.html" rel="bookmark" class="title">java-Android蓝牙打印机打印图片出现乱码！求解决！</a>
					<div>
						问题描述 Android蓝牙打印机打印图片出现乱码!求解决! 打印代码如下: ByteArrayOutputStream baos = new ByteArrayOutputStream(); bit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoZk8M.html" rel="bookmark" class="title">通过解析xsd生成xml，java编程实现</a>
					<div>
						问题描述 在解析xsd事,出现的&lt;choice&gt;标签怎么处理,同一节点下的元素个数不同,怎么进行选择?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBga6JM.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;7&period;20 当搜索引擎遇见知识图谱</a>
					<div>
						7.20 当搜索引擎遇见知识图谱 新世纪以来,基于文本信息检索的搜索引擎获得了巨大的成功,谷歌.必应.百度等商业搜索引擎彻底改变了人们获取信息的方式,影响着我们生活的方方面面.作为人工智能学科最著名, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZXe6p.html" rel="bookmark" class="title">运营商拥抱OpenStack背后：距运营级仍有差距</a>
					<div>
						在电信行业,开源是个不受欢迎的名词. 因为在很多电信业者看来,开源是个来自IT世界的&quot;舶来品&quot;,它将从根本上改变电信业的生态系统,夺走自己的口粮:而且,多年的电信业经验,也使得他们 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
